#
# spec file for package gettext-java
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gettext-java
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gcc-java
BuildRequires:  glib2-devel
BuildRequires:  libcroco-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  perl-libintl-perl
BuildRequires:  tcl
Url:            http://www.gnu.org/software/gettext/
Version:        0.18.2.1
Release:        0
Summary:        Java Support for Native Language Support (NLS)
License:        LGPL-2.1+
Group:          Development/Tools/Other
PreReq:         %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://ftp.gnu.org/gnu/gettext/gettext-%{version}.tar.gz
Source1:        gettext-rpmlintrc
Source2:        suse-start-po-mode.el
Source3:        gettext-linkdupes.sh
Patch:          gettext-0.12.1-sigfpe.patch
Patch2:         gettext-0.12.1-gettextize.patch
Patch4:         gettext-po-mode.diff
Patch5:         gettext-initialize_vars.patch
Patch9:         gettext-needlessly_init_vars.patch
Patch10:        gettext-configure.patch

%description
This package includes the tools needed to support message catalogs in
Java applications. It also includes example code for java, java+awt and
java+swing.

%prep
%setup -q -n gettext-%{version}
%patch
%patch2
%patch4
%patch5
%patch9
%patch10 -p1

%build
export CFLAGS="%{optflags} -pipe -W -Wall -Dgcc_is_lint"
export CXXFLAGS="%{optflags} -pipe -W -Wall -Dgcc_is_lint"
autoreconf -fiv
%configure --enable-shared
make GMSGFMT=../src/msgfmt %{?_smp_mflags} V=1

%install
export LC_CTYPE=ISO-8859-15
make -C gettext-tools/gnulib-lib install DESTDIR=%{buildroot}
make -C gettext-tools/src         install DESTDIR=%{buildroot}
make -C gettext-runtime/intl-java install DESTDIR=$PWD docdir=/docs
make -C gettext-tools/examples    install DESTDIR=$PWD docdir=/allexamples
mkdir -p docs/examples
mv allexamples/examples/*java* docs/examples
cd docs/examples
fdupes -r *|while read dupe; do
	if [ -z "$dupe" ]; then
		startlink=
	elif [ -z "$startlink" ]; then
		startlink="$dupe"
	else
		ln -f "$startlink" "$dupe"
	fi
done
cd ..
find -size 0 -print0 | xargs -0 --no-run-if-empty rm
rm -rf   %{buildroot}/%{_datadir}/*
mkdir -p %{buildroot}/%{_defaultdocdir}/%{name}
cp -av * %{buildroot}/%{_defaultdocdir}/%{name}
cd ../allexamples/examples
rm -rf *csharp*
fdupes -r * | while read dupe; do
	if [ -z "$dupe" ]; then
		startlink=
	elif [ -z "$startlink" ]; then
		startlink="$dupe"
	else
		echo "ln -f '$startlink' '$dupe'" >>../../gettext-linkdupes.sh
	fi
done
diff %{SOURCE3} . || {
	cat <<END
	######################################################
	######################################################
	## Updated gettext-linkdupes.sh in $PWD ##
	######################################################
	######################################################
END
}
ls -l %{buildroot}/%_datadir
# exclude files packaged via other spec files
rm -rf %{buildroot}/%_prefix/bin
rm -f %{buildroot}/%_libdir/lib*
rm -f %{buildroot}/%_libdir/gettext/hostname
rm -f %{buildroot}/%_libdir/gettext/project-id
rm -f %{buildroot}/%_libdir/gettext/urlget
rm -f %{buildroot}/%_libdir/gettext/user-email

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_defaultdocdir}/%{name}
%_libdir/gettext/gnu.gettext.DumpResource
%_libdir/gettext/gnu.gettext.GetURL

%changelog
